package com.fp.hbm.persistence;

import java.io.Serializable;
import java.lang.reflect.Field;

import com.fp.dto.hb.HibernateBean;

/**Clase que implementa la entidad de Hibernate que hace referencia a la tabla THBENTITY*/
public class TEntity1 extends com.fp.dto.AbstractDataTransport implements Serializable,HibernateBean,Cloneable{
/**
* HashCode asociado con la Instancia
*/
private volatile int hashValue = 0;
/**
* Version de la Clase
*/
private static final long serialVersionUID = 1L;
/**
* Clave primaria de la Entidad TEntity
*/
private TgeneEntityKey pk;
/**
* CAMPO PAC
*/
private String pac;

/**
* CAMPO JAVAEXTENDS
*/
private String javaextends;

/**
* CAMPO JAVAIMPLEMENTS
*/
private String javaimplements;

/**
* CAMPO INSERTDML
*/
private String insertdml;

/**
* CAMPO CREATEREFERENCES
*/
private String createreferences;

/**
* CAMPO OPTIMISTICLOCKING
*/
private String optimisticlocking;

/**
* CAMPO UPDATEDML
*/
private String updatedml;

/**
* CAMPO HISTORY
*/
private String history;

/**
* CAMPO AUTOIMPORT
*/
private String autoimport;

/**
* CAMPO PROJECT
*/
private String project;

/**Contructor por defecto*/
public TEntity1(){
  
}
/**Contructor de TEntity
@param pPk Clave Primaria del entity
@param pPac CAMPO PAC
@param pJavaextends CAMPO JAVAEXTENDS
@param pCreatereferences CAMPO CREATEREFERENCES
@param pOptimisticlocking CAMPO OPTIMISTICLOCKING
@param pHistory CAMPO HISTORY
@param pAutoimport CAMPO AUTOIMPORT
@param pProject CAMPO PROJECT
*/
public TEntity1(TgeneEntityKey pPk,String pPac,String pJavaextends,String pCreatereferences,String pOptimisticlocking,String pHistory,String pAutoimport,String pProject){
 this();
 pk=pPk;
 pac=pPac;
 javaextends=pJavaextends;
 createreferences=pCreatereferences;
 optimisticlocking=pOptimisticlocking;
 history=pHistory;
 autoimport=pAutoimport;
 project=pProject;
}
/**Entrega la Clave primaria de TEntity
@return El objeto que referencia a la Clave primaria de TEntity
*/
public TgeneEntityKey getPk(){
  return pk;
}
/**Fija un nuevo valor a la Clave primaria de TEntity
@param pPk El objeto que referencia a la nueva Clave primaria de TEntity
*/
public void setPk(TgeneEntityKey pPk){
  pk=pPk;
}
/**Obtiene el valor de pac
@return valor de pac*/
public String getPac(){
  return pac;
}
/**Fija el valor de pac
@param pPac nuevo Valor de pac*/
public void setPac(String pPac){
}

/**Obtiene el valor de javaextends
@return valor de javaextends*/
public String getJavaextends(){
  return javaextends;
}
/**Fija el valor de javaextends
@param pJavaextends nuevo Valor de javaextends*/
public void setJavaextends(String pJavaextends){
  javaextends=pJavaextends;
}

/**Obtiene el valor de javaimplements
@return valor de javaimplements*/
public String getJavaimplements(){
  return javaimplements;
}
/**Fija el valor de javaimplements
@param pJavaimplements nuevo Valor de javaimplements*/
public void setJavaimplements(String pJavaimplements){
  javaimplements=pJavaimplements;
}

/**Obtiene el valor de insertdml
@return valor de insertdml*/
public String getInsertdml(){
  return insertdml;
}
/**Fija el valor de insertdml
@param pInsertdml nuevo Valor de insertdml*/
public void setInsertdml(String pInsertdml){
  insertdml=pInsertdml;
}

/**Obtiene el valor de createreferences
@return valor de createreferences*/
public String getCreatereferences(){
  return createreferences;
}
/**Fija el valor de createreferences
@param pCreatereferences nuevo Valor de createreferences*/
public void setCreatereferences(String pCreatereferences){
  createreferences=pCreatereferences;
}

/**Obtiene el valor de optimisticlocking
@return valor de optimisticlocking*/
public String getOptimisticlocking(){
  return optimisticlocking;
}
/**Fija el valor de optimisticlocking
@param pOptimisticlocking nuevo Valor de optimisticlocking*/
public void setOptimisticlocking(String pOptimisticlocking){
  optimisticlocking=pOptimisticlocking;
}

/**Obtiene el valor de updatedml
@return valor de updatedml*/
public String getUpdatedml(){
  return updatedml;
}
/**Fija el valor de updatedml
@param pUpdatedml nuevo Valor de updatedml*/
public void setUpdatedml(String pUpdatedml){
  updatedml=pUpdatedml;
}

/**Obtiene el valor de history
@return valor de history*/
public String getHistory(){
  return history;
}
/**Fija el valor de history
@param pHistory nuevo Valor de history*/
public void setHistory(String pHistory){
  history=pHistory;
}

/**Obtiene el valor de autoimport
@return valor de autoimport*/
public String getAutoimport(){
  return autoimport;
}
/**Fija el valor de autoimport
@param pAutoimport nuevo Valor de autoimport*/
public void setAutoimport(String pAutoimport){
  autoimport=pAutoimport;
}

/**Obtiene el valor de project
@return valor de project*/
public String getProject(){
  return project;
}
/**Fija el valor de project
@param pProject nuevo Valor de project*/
public void setProject(String pProject){
  project=pProject;
}

/**Implementacion de la comparaci�n de la entidad TEntity
@param rhs Elemento de Comparaci�n
@return el resultado de la comparaci�n
*/
public boolean equals(Object rhs){
    if (rhs == null)return false;
    if (! (rhs instanceof TgeneEntity))return false;
    TgeneEntity that = (TgeneEntity) rhs;
    if (this.getPk() == null || that.getPk() == null)
        return false;
    return (this.getPk().equals(that.getPk()));
}
/**Implementacion del metodo hashCode de la la entidad TEntity
@return el hashCode la instancia
*/
public int hashCode()    {
    if (this.hashValue == 0){
        int result = 17;
        if (this.getPk() == null){
            result = super.hashCode();
        }else{
            result = this.getPk().hashCode();
        }
        this.hashValue = result;
    }
    return this.hashValue;
}
/**Implementacion toString
*/
public String toString() {
	Field[]fs=this.getClass().getDeclaredFields();
	String data="";
	for(Field f:fs){
	 try{	
	 String name=f.getName();
   if(f.getType().getName().compareTo("java.util.Set")==0)continue;
	 if(name.compareTo("hashValue")==0||name.compareTo("serialVersionUID")==0)continue;
		data+=name+"="+f.get(this)+";";
	 }catch(Exception e){
		 continue;
	 }
		}
		if(data.compareTo("")==0){
		data=super.toString();
		}
	return data;
	}
/**Implementacion de la creaci�n de un bean en blancoTEntity
*/
public Object createInstance(){
 TgeneEntity instance=new TgeneEntity();	
 instance.setPk(new TgeneEntityKey());
 return instance;
}
public Object cloneMe() throws CloneNotSupportedException{
  TgeneEntity p=(TgeneEntity)this.clone();
  p.setPk((TgeneEntityKey)this.pk.cloneMe());
  return p;
}
}
